org.eclipse.ease.lang.javascript.rhino.debugger.model

## Class RhinoDebugTarget

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.debug.core.model.DebugElement
    - - org.eclipse.ease.debugging.ScriptDebugElement
      - - org.eclipse.ease.debugging.ScriptDebugTarget
        - - org.eclipse.ease.lang.javascript.rhino.debugger.model.RhinoDebugTarget

All Implemented Interfaces:
  IAdaptable, IBreakpointListener, IDebugElement, IDebugTarget, IDisconnect, IMemoryBlockRetrieval, IStep, ISuspendResume, ITerminate, IEventProcessor

    public class RhinoDebugTarget
    extends ScriptDebugTarget

### Constructor Summary

Constructors
Constructor and Description
`RhinoDebugTarget(ILaunch launch, boolean suspendOnStartup, boolean suspendOnScriptLoad, boolean showDynamicCode)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()`
`boolean` `supportsBreakpoint(IBreakpoint breakpoint)`

### Methods inherited from class org.eclipse.ease.debugging.ScriptDebugTarget

`breakpointAdded, breakpointChanged, breakpointRemoved, disconnect, getDebugTarget, getLaunch, getMemoryBlock, getProcess, getThreads, handleEvent, hasThreads, isStepping, isSuspended, isTerminated, resume, setDispatcher, supportsStorageRetrieval, terminate`

### Methods inherited from class org.eclipse.ease.debugging.ScriptDebugElement

`canDisconnect, canResume, canStepInto, canStepOver, canStepReturn, canSuspend, canTerminate, getModelIdentifier, isDisconnected, stepInto, stepOver, stepReturn, suspend`

### Methods inherited from class org.eclipse.debug.core.model.DebugElement

`fireChangeEvent, fireCreationEvent, fireEvent, fireResumeEvent, fireSuspendEvent, fireTerminateEvent, getAdapter`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.debug.core.model.IDebugElement

`getModelIdentifier`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.debug.core.model.ITerminate

`canTerminate`

### Methods inherited from interface org.eclipse.debug.core.model.ISuspendResume

`canResume, canSuspend, suspend`

### Methods inherited from interface org.eclipse.debug.core.model.IDisconnect

`canDisconnect, isDisconnected`

### Constructor Detail

#### RhinoDebugTarget

    public RhinoDebugTarget(ILaunch launch,
                            boolean suspendOnStartup,
                            boolean suspendOnScriptLoad,
                            boolean showDynamicCode)

### Method Detail

#### getName

    public String getName()
                   throws DebugException

Specified by:
  `getName` in interface `IDebugTarget`
Overrides:
  `getName` in class `ScriptDebugTarget`
Throws:
  `DebugException`

#### supportsBreakpoint

    public boolean supportsBreakpoint(IBreakpoint breakpoint)

Specified by:
  `supportsBreakpoint` in interface `IDebugTarget`
Overrides:
  `supportsBreakpoint` in class `ScriptDebugTarget`